#
# SPEC file for calamaris
#
Summary: parses the Squid Native Log Format and generates a report.
Name: calamaris
Version: 2.40
Release: 1
Copyright: GPL
Group:  Utilities/Internet
Source: http://calamaris.cord.de/%{name}-%{version}.tar.gz
BuildArchitectures: noarch
URL: http://calamaris.cord.de
Requires: perl >= 5.002
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Vendor: Red Hat Contrib|Net 
BuildRoot: %{_tmppath}/%{name}-root

%description
calamaris is a Perl script, which was first intended as demo for a statistical
software for Squid.  I started it at 13 January 1997 (Version 1.1) as a
rewrite of my old Squid-Analysis-Script weekly.pl (which was in German
language). I announced it (Version 1.16) to the public at 28 Feb 1997.  (see
http://www.squid-cache.org/mail-archive/squid-users/199702/0551.html for the
Original-Announcement) Since then it is used by people all around the world,
and i decided to build a new improved version of it.  Calamaris V2 is a nearly
complete rewrite, with changed and more reports.

It works with Native-Log-files from Squid V1.1.x and later.

There is also the possibility to parse Log-files from NetCache. (but see 'Bugs
and Shortcomings' in the README for more about this.)

%prep
%setup

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 calamaris $RPM_BUILD_ROOT%{_bindir}/calamaris
install -m 644 calamaris.1 $RPM_BUILD_ROOT%{_mandir}/man1/calamaris.1

%files
%defattr(-,root,root)
%{_bindir}/calamaris
%{_mandir}/man1/calamaris.1*
%doc README COPYRIGHT EXAMPLES CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 21 2000 Roy-Magne Mo <rmo@sunnmore.net>
- updated to 2.40
- added %clean
- using some rpm4-macros
- updated URL to announcement

* Tue Mar  7 2000 Kevin Way <kevin.rhcn@overtone.org>
- updated to 2.29

* Wed Jul 21 1999 Kevin Way <kevin.rhcn@overtone.org>
- updated to 2.27

* Mon Jun  7 1999 Henri Gomez <gomez@slib.fr>
- updated to 2.26
- clean rpm

* Wed Apr  7 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to 2.23
- buildrooted
- cut the Summary so that it is under 80 characters
- added the %attr ibutes.
